s=tf('s');
G1=30*(s+5)/((s+2)*(s+10));
figure(1)
bode(G1);
grid;
figure(2)
num=30*[0 1 5];
den=conv([1 2],[1 10]);
omega=0.1:0.1:1e3;
G2=freqs(num,den,omega);
mag=abs(G2);
phase=angle(G2);
subplot(211);
semilogx(omega,20*log10(mag));
grid;
ylabel('Magnitude (dB)');
title('Bode Diagram');
subplot(212);
semilogx(omega,phase*(180/pi));
grid;
xlabel('Frequency (Rad/s)');
ylabel('Phase (deg)');







 


