M = 21;
n = 0:(M-1);
omega=-pi:pi/100:pi;
c_f=pi/4;
h_d = inline('c_f/pi * sinc(c_f/pi*(n-(M-1)/2))','n','c_f','M');
H_d = inline('1*(abs(omega) < c_f)', 'omega', 'c_f');
h_n = h_d(n, c_f, M).* hann(M)'; 
subplot(211);
stem(n, h_n);
axis([0 M-1 -0.1, 0.3])
xlabel('n');
ylabel('h[n]');
title('Hanning Lowpass, M=21');
subplot(212)
H = freqz(h_n, 1, omega);
plot(omega, 20*log10(abs(H)));
hold;
plot(omega, 20*log10(max(H_d(omega,c_f),eps)), 'r:');
xlabel('\omega');
ylabel('|H(\omega)| (dB)');
title('Magnitude Response');
axis([-pi pi -100 5]);
