 syms x y z_prime L I mu0 
 a_z = [0 0 1]; 
 r = [x y 0]; 
 r_prime = [0 0 z_prime]; 
 R = r-r_prime; 
 norm_R = sqrt(R(1)^2+R(2)^2+R(3)^2); 
 a_R = R/norm_R; 
 dB = (mu0*I)/(4*pi)*cross(a_z,a_R)/norm_R^2; 
 disp('Magnetic flux density B in Cartesian system')
 B = int(dB,z_prime,-L,L);  
 pretty(B)
 disp('Magnetic flux density B in cylindrical system')
 cyl_form = CarTcylM(B); 
 pretty(cyl_form)


